import { SimpleLocalIntegration } from '../../core/index.js';
import { Eq3btsmartConfigFlow } from './eq3btsmart.classes.configflow.js';
import { createEq3btsmartDiscoveryDescriptor } from './eq3btsmart.discovery.js';
import type { IEq3btsmartConfig } from './eq3btsmart.types.js';
import { eq3btsmartDomain, eq3btsmartProfile } from './eq3btsmart.types.js';

export class Eq3btsmartIntegration extends SimpleLocalIntegration<IEq3btsmartConfig> {
  public readonly domain = eq3btsmartDomain;
  public readonly discoveryDescriptor = createEq3btsmartDiscoveryDescriptor();
  public readonly configFlow = new Eq3btsmartConfigFlow();

  constructor() {
    super(eq3btsmartProfile);
  }
}

export class HomeAssistantEq3btsmartIntegration extends Eq3btsmartIntegration {}
